@echo off

rem Harbour executable builder batch file
rem
rem Compiler: GCC (Cygnus)
rem Platform: 32-bit Windows
rem
rem Adapted from the MINGW32 version created by Victor Szel <info@szelvesz.hu>
rem by David G. Holm <dholm@jsd-llc.com>

if not "%1" == "" goto compile

echo.
echo Usage: makeexe.bat name
echo.
echo - 'name' is the .prg filename *without* extension.
echo - Don't forget to make a MAIN function for you application.
exit

:compile
harbour %1.prg /n
gcc %1.c -I..\include -L..\lib -lrtl -lrdd -lvm -lrdd -lrtl -ldbfntx
del %1.c
